cow_string.h File Reference

Go to the source code of this file.

## Classes

class | std::basic_string< _CharT, _Traits, _Alloc >

## Namespaces

| std

## Macros

#define | __cpp_lib_constexpr_string

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <string>.

Defines the reference-counted COW string implementation.

Definition in file cow_string.h.